
import java.io.OutputStream;

public class JNetSend {
    public static void main(String[] args) {
        if (args.length < 3) {
            System.out.println("Usage: JNetSend <from> <to> <message>");
        } else {
            try {
                NetBiosName from = new NetBiosName(args[0]);
                NetBiosName to = new NetBiosName(args[1]);
                NetBiosSocket nbsock = new NetBiosSocket(from, to);

                OutputStream out = nbsock.getOutputStream();

                SmbPacket smb = new SmbPacket(args[0], args[1], args[2]);
                smb.send(out);

                out.close();
            } catch (Exception e) {
                System.out.println(e);
            }
        }
    }
}
